Bug 112349 - Text import fails for entries with leading zeros.
Text import fails for entries with leading zeros.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnumeric (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-17 23:30 EST by Charles Sullivan
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version: FC2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-13 06:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
an example to import (46 bytes, text/plain)
2004-05-13 06:39 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Charles Sullivan 2003-12-17 23:30:32 EST
Description of problem:  When importing a CSV text file containing column entries with significant leading zeros, like part numbers or ZIP codes, identifying these columns as text (@) in the text import filter fails - the
entries are still treated like numbers and the leading zeros are stripped off.

Version-Release number of selected component (if applicable):  gnumeric-1.0.12-3

How reproducible: Always

Steps to Reproduce:
1. With gnumeric open, click on File>Import.   Select file using File format: "Text import (configurable)".
2. In Separation customization window, click the Comma separator box.
3. In Column formatting window, select data column(s)  with leading-zero entries, then select
Format: "@" for text.  (Leading zeros appear). Click on [Finish].
  
Actual results:
Leading zeros are stripped from the entries in the spreadsheet.  Subsequently selecting
Format>Cells>Text does not restore them.

Expected results:
Leading zeros should not be stripped for columns identified as text.

Additional info:
If _before_ importing the file the pertinant columns in the empty spreadsheet are highlighted
and Format>Cells>Text is selected, then when  steps 1,2,3 are performed as above the
columns appear correctly, retaining the leading zeros.
Comment 1 Caolan McNamara 2004-05-13 06:39:18 EDT
Created attachment 100208 [details]
an example to import

an example to import
Comment 2 Caolan McNamara 2004-05-13 06:49:14 EDT
redhat 9 is now end of lifed :-( But gnumeric 1.2.8 as included in
fedora core 2 doesn't exhibit this problem, i.e. in the attached
example I can select "text" for the first column with the import
wizard, the the leading 0's are retained, while using "general" will
continue to give the normally useful treatment of the field as a number

Note You need to log in before you can comment on or make changes to this bug.